JUCE: ComponentBuilder::ImageProvider Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComponentBuilder::ImageProvider Class Referenceabstract
juce_gui_basics » layout

This class is used when references to images need to be stored in ValueTrees. More...

`#include <juce_ComponentBuilder.h>`

## Public Member Functions
| ImageProvider ()=default
virtual | ~ImageProvider ()=default
virtual Image | getImageForIdentifier (const var &imageIdentifier)=0
| Retrieves the image associated with this identifier, which could be any kind of string, number, filename, etc.
virtual var | getIdentifierForImage (const Image &image)=0
| Returns an identifier to be used to refer to a given image.

## Detailed Description

This class is used when references to images need to be stored in ValueTrees.

An instance of an ImageProvider provides a mechanism for converting an Image to/from a reference, which may be a file, URL, ID string, or whatever system is appropriate in your app.

When you're loading components from a ValueTree that may need a way of loading images, you should call ComponentBuilder::setImageProvider() to supply a suitable provider before trying to load the component.

See also
  ComponentBuilder::setImageProvider()

## Constructor & Destructor Documentation

## ◆ ImageProvider()

ComponentBuilder::ImageProvider::ImageProvider | ( |  | ) |
| default

## ◆ ~ImageProvider()

virtual ComponentBuilder::ImageProvider::~ImageProvider | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ getImageForIdentifier()

virtual Image ComponentBuilder::ImageProvider::getImageForIdentifier | ( | const var & | imageIdentifier | ) |
| pure virtual

Retrieves the image associated with this identifier, which could be any kind of string, number, filename, etc.

The image that is returned will be owned by the caller, but it may come from the ImageCache.

## ◆ getIdentifierForImage()

virtual var ComponentBuilder::ImageProvider::getIdentifierForImage | ( | const Image & | image | ) |
| pure virtual

Returns an identifier to be used to refer to a given image.

This is used when a reference to an image is stored in a ValueTree.

The documentation for this class was generated from the following file:

- juce_ComponentBuilder.h